unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DBCtrls, Grids, DBGrids, Buttons, jpeg;

type
  TForm4 = class(TForm)
    LabeledEdit1: TLabeledEdit;
    LabeledEdit2: TLabeledEdit;
    LabeledEdit3: TLabeledEdit;
    LabeledEdit4: TLabeledEdit;
    GroupBox1: TGroupBox;
    LabeledEdit5: TLabeledEdit;
    LabeledEdit6: TLabeledEdit;
    LabeledEdit7: TLabeledEdit;
    LabeledEdit8: TLabeledEdit;
    GroupBox2: TGroupBox;
    DBGrid1: TDBGrid;
    DBText1: TDBText;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    Image1: TImage;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;
  resp:word;

implementation

uses Unit3, Unit2;

{$R *.dfm}


procedure TForm4.BitBtn1Click(Sender: TObject);
begin
if labelededit5.Text='' then
showmessage('Марку и модель авто!');
if labelededit6.Text='' then
showmessage('Введите VIN автомобиля!');

if  (labelededit5.Text<>'') and (labelededit6.Text<>'') then
begin
datamodule3.adoquery11.sql[1]:='VALUES ('+''''+labelededit5.text+''','+''''+labelededit6.text+''','+''''+labelededit7.text+''','+''''+labelededit8.text+''','''+dbtext1.Caption+''')' ;
datamodule3.adoquery11.execsql;

groupbox2.Visible:=true;
groupbox1.Visible:=false;
labelededit5.Text:=''  ;
labelededit6.Text:=''  ;
labelededit7.Text:=''  ;
labelededit8.Text:=''  ;


datamodule3.ADOTable5.Close;
datamodule3.ADOTable5.open;


form4.Close;
end;
 end;
procedure TForm4.BitBtn2Click(Sender: TObject);
begin
  if labelededit2.Text='' then
showmessage('Введите фамилию!');
if labelededit3.Text='' then
showmessage('Введите Номер телефона!');
if  (labelededit2.Text<>'') and (labelededit3.Text<>'') then
begin
datamodule3.adoquery3.sql[1]:='VALUES ('''+labelededit1.text+''','+''''+labelededit2.text+''','+''''+labelededit3.text+''','+''''+labelededit4.text+''')' ;
datamodule3.adoquery3.execsql;

datamodule3.ADOQuery1.Close;
datamodule3.ADOQuery1.Open;
datamodule3.ADOTable3.Close;
datamodule3.ADOTable3.open;

if MessageDlg('Клиент успешно добавлен! Желаете добавить данные автомобиля?',mtConfirmation, [mbYes,mbNo],0)= mrYes  then
begin
groupbox2.Visible:=false;
groupbox1.Visible:=true;
showMessage('Не забывайте указывать клиента!') ;
end else
form4.Close;
labelededit1.Text:='' ;
labelededit2.Text:='';
labelededit3.Text:='' ;
labelededit4.Text:='' ;
end;
 end;
end.
